# Enum Class SyWindowCloseBehaviour

java.lang.Object
java.lang.Enum<SyWindowCloseBehaviour>
com.io7m.jsycamore.api.windows.SyWindowCloseBehaviour

All Implemented Interfaces:
  `Serializable, Comparable<SyWindowCloseBehaviour>, Constable`

public enum SyWindowCloseBehaviour extends Enum<SyWindowCloseBehaviour>
The behaviour that will occur when a window's "Close" button is pressed.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLOSE_ON_CLOSE_BUTTON`
  The window will be closed, as per `SyWindowServiceType.windowClose(SyWindowType)` (SyWindowType)}.
  `HIDE_ON_CLOSE_BUTTON`
  The window will be hidden, as per `SyWindowServiceType.windowHide(SyWindowType)`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SyWindowCloseBehaviour`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyWindowCloseBehaviour[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HIDE_ON_CLOSE_BUTTON

    public static final SyWindowCloseBehaviour HIDE_ON_CLOSE_BUTTON
    The window will be hidden, as per `SyWindowServiceType.windowHide(SyWindowType)`.

  - ### CLOSE_ON_CLOSE_BUTTON

    public static final SyWindowCloseBehaviour CLOSE_ON_CLOSE_BUTTON
    The window will be closed, as per `SyWindowServiceType.windowClose(SyWindowType)` (SyWindowType)}.

- ## Method Details

  - ### values

    public static SyWindowCloseBehaviour[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyWindowCloseBehaviour valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null